/*

   procinfo.h

   Date:        1995-04-15 23:54:06
   Last Change: 1998-01-21 14:42:10

   Copyright (C) 1995, 1996 Sander van Malssen <svm@kozmix.ow.nl>

   This software is released under the GNU Public Licence. See the
   file `COPYING' for details.

 */

#ifndef _PROCINFO_H
#define _PROCINFO_H

#define VERSION		"12 (1998-01-21)"

#ifndef PROC_DIR
#define PROC_DIR	"/proc/"	/* Needs the trailing slash. */
#endif

#define ISSTR(s)	(!strcmp(s, type))

#if 0
#define VAL		(strtoul(strtok(NULL, "\t "), NULL, 10))
#else
static inline unsigned long find_val(void)
{
    char *cp;

    cp = strtok(NULL, "\t ");
    if (!cp) {
	printf ("find_val got NULL\n");
	return 0L;
    }
    /*return (atol (cp));*/
    return (strtoul (cp, NULL, 10));
}
#define VAL	find_val()
#endif

#define MAX(a,b)	((a) > (b) ? (a) : (b))

#define DIFF(x)		(show_diff ? (unsigned long) (((new.x)-(old.x))/rate) : (new.x))

#define CDRV		0
#define BDRV		1
#ifndef MAX_CHRDEV
#define MAX_CHRDEV	32
#endif
#ifndef MAX_BLKDEV
#define MAX_BLKDEV	32
#endif
#define MAX_DEV		MAX(MAX_CHRDEV, MAX_BLKDEV)

struct info
{
    unsigned long uptime;
    long m_to, m_us, m_fr, m_sh, m_bu, m_ca;
    long s_to, s_us, s_fr;
    unsigned long cpu_user, cpu_nice, cpu_sys, cpu_idle;
    unsigned long disk[4];
    unsigned long disk_r[4];
    unsigned long disk_w[4];
    unsigned long pgin, pgout, swin, swout;
    unsigned long intr[16];
    unsigned long old_intr;
    unsigned long ctxt;
};

/* Prototypes. */

FILE *myfopen (char *name);
char *hms (unsigned long t);
char *perc (unsigned long i, long t);
void bye (int i);
void tstp (int i);
void cont (int i);
void window_init (int i);
void fatal (const char *s,...);
void init_terminal_data (void);
char *my_tgets (char *te);
char *make_version (FILE *verionfp);

#endif /* _PROCINFO_H */

/*
   Local variables:
   rm-trailing-spaces: t
   End:
 */
